org.restlet.data

## Class Disposition

- java.lang.Object
- - org.restlet.data.Disposition

    public class Disposition
    extends java.lang.Object

Describes the presentation of a single entity especially in the case of multipart documents. This is an equivalent of the HTTP "Content-Disposition" header.

Author:
  Thierry Boileau
See Also:
  Content-Disposition header, The Content-Disposition Header Field

### Field Summary

Fields
`static java.lang.String` `NAME_CREATION_DATE` The creation date parameter name as presented by the RFC 2183.
`static java.lang.String` `NAME_FILENAME` The filename parameter name as presented by the RFC 2183.
`static java.lang.String` `NAME_MODIFICATION_DATE` The modification date parameter name as presented by the RFCc 2183.
`static java.lang.String` `NAME_READ_DATE` The read date parameter name as presented by the RFC 2183.
`static java.lang.String` `NAME_SIZE` The size parameter name as presented by the RFC 2183.
`static java.lang.String` `TYPE_ATTACHMENT` Indicates that the part is intended to be separated from the full message.
`static java.lang.String` `TYPE_INLINE` Indicates that the part is intended to be displayed automatically upon display of the full message.
`static java.lang.String` `TYPE_NONE` Indicates that the part is not intended to be displayed.

### Constructor Summary

Constructors
Constructor and Description
`Disposition()` Constructor.
`Disposition(java.lang.String type)` Constructor.
`Disposition(java.lang.String type, Series<Parameter> parameters)` Constructor.

### Method Summary

Methods
`void` `addDate(java.lang.String name, java.util.Date value)` Adds a Date parameter.
`java.lang.String` `getFilename()` Returns the value of the "filename" parameter.
`Series<Parameter>` `getParameters()` Returns the list of disposition parameters.
`java.lang.String` `getType()` Returns the disposition type.
`void` `setCreationDate(java.util.Date value)` Sets the creation date parameter.
`void` `setDate(java.lang.String name, java.util.Date value)` Sets a Date parameter.
`void` `setFilename(java.lang.String fileName)` Sets the value of the "filename" parameter.
`void` `setModificationDate(java.util.Date value)` Sets the modification date parameter.
`void` `setParameters(Series<Parameter> parameters)` Sets the list of disposition parameters.
`void` `setReadDate(java.util.Date value)` Sets the read date parameter.
`void` `setSize(long size)` Sets the value of the "size" parameter.
`void` `setType(java.lang.String type)` Sets the disposition type.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### NAME_CREATION_DATE

    public static final java.lang.String NAME_CREATION_DATE

The creation date parameter name as presented by the RFC 2183.

See Also:
  Constant Field Values

#### NAME_FILENAME

    public static final java.lang.String NAME_FILENAME

The filename parameter name as presented by the RFC 2183.

See Also:
  Constant Field Values

#### NAME_MODIFICATION_DATE

    public static final java.lang.String NAME_MODIFICATION_DATE

The modification date parameter name as presented by the RFCc 2183.

See Also:
  Constant Field Values

#### NAME_READ_DATE

    public static final java.lang.String NAME_READ_DATE

The read date parameter name as presented by the RFC 2183.

See Also:
  Constant Field Values

#### NAME_SIZE

    public static final java.lang.String NAME_SIZE

The size parameter name as presented by the RFC 2183.

See Also:
  Constant Field Values

#### TYPE_ATTACHMENT

    public static final java.lang.String TYPE_ATTACHMENT

Indicates that the part is intended to be separated from the full message.

See Also:
  Constant Field Values

#### TYPE_INLINE

    public static final java.lang.String TYPE_INLINE

Indicates that the part is intended to be displayed automatically upon display of the full message.

See Also:
  Constant Field Values

#### TYPE_NONE

    public static final java.lang.String TYPE_NONE

Indicates that the part is not intended to be displayed.

See Also:
  Constant Field Values

### Constructor Detail

#### Disposition

    public Disposition()

Constructor. Instantiated with the TYPE_NONE type.

#### Disposition

    public Disposition(java.lang.String type)

Constructor.

Parameters:
  `type` - The disposition type.

#### Disposition

    public Disposition(java.lang.String type,
               Series<Parameter> parameters)

Constructor.

Parameters:
  `type` - The disposition type.
  `parameters` - The list of disposition parameters.

### Method Detail

#### addDate

    public void addDate(java.lang.String name,
               java.util.Date value)

Adds a Date parameter.

Parameters:
  `name` - The name of the parameter.
  `value` - Its value as a date.

#### getFilename

    public java.lang.String getFilename()

Returns the value of the "filename" parameter.

Returns:
  The value of the "filename" parameter.

#### getParameters

    public Series<Parameter> getParameters()

Returns the list of disposition parameters.

Returns:
  The list of disposition parameters.

#### getType

    public java.lang.String getType()

Returns the disposition type.

Returns:
  The disposition type.

#### setCreationDate

    public void setCreationDate(java.util.Date value)

Sets the creation date parameter.

Parameters:
  `value` - The creation date.

#### setDate

    public void setDate(java.lang.String name,
               java.util.Date value)

Sets a Date parameter.

Parameters:
  `name` - The name of the parameter.
  `value` - Its value as a date.

#### setFilename

    public void setFilename(java.lang.String fileName)

Sets the value of the "filename" parameter.

Parameters:
  `fileName` - The file name value.

#### setModificationDate

    public void setModificationDate(java.util.Date value)

Sets the modification date parameter.

Parameters:
  `value` - The modification date.

#### setParameters

    public void setParameters(Series<Parameter> parameters)

Sets the list of disposition parameters.

Parameters:
  `parameters` - The list of disposition parameters.

#### setReadDate

    public void setReadDate(java.util.Date value)

Sets the read date parameter.

Parameters:
  `value` - The read date.

#### setSize

    public void setSize(long size)

Sets the value of the "size" parameter.

Parameters:
  `size` - The size.

#### setType

    public void setType(java.lang.String type)

Sets the disposition type.

Parameters:
  `type` - The disposition type.